Index: trunk/examples/extended/runAndEvent/RE01/History
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/History	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.4 2007/11/13 20:33:28 asaim Exp $
+$Id: History,v 1.6 2010/06/06 05:15:41 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,9 +15,15 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
- 
-Feb. 05, 07 G.Cosmo (exampleRE01-V08-02-00)
+
+Jun. 04, 2010 J.Perl (exampleRE01-V09-03-01)
+- Updated vis usage 
+
+Apr. 06, 2010 M.Asai (exampleRE01-V09-03-00)
+- Replace G4MultipleScattering with G4eMultipleScattering, G4MuMultipleScattering and G4hMultipleScattring.
+
+Feb. 05, 2007 G.Cosmo (exampleRE01-V08-02-00)
 - Removed big output file ...
 
-Nov. 17, 06 M.Asai (exampleRE01-V08-01-01)
+Nov. 17, 2006 M.Asai (exampleRE01-V08-01-01)
 - History file is created though the example has been here since two years.
 - Fix a bug in RE01CalorimeterSD::ProcessHits() concerning about the
Index: trunk/examples/extended/runAndEvent/RE01/RE01.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/RE01.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/RE01.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01.cc,v 1.3 2006/06/29 17:42:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01BosonPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01BosonPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01BosonPhysics.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01BosonPhysics.hh,v 1.2 2006/06/29 17:42:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterHit.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterHit.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterHit.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01CalorimeterHit.hh,v 1.3 2006/06/29 17:42:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterParametrisation.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterParametrisation.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterParametrisation.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01CalorimeterParametrisation.hh,v 1.2 2006/06/29 17:42:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterROGeometry.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterROGeometry.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterROGeometry.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01CalorimeterROGeometry.hh,v 1.2 2006/06/29 17:42:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterSD.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterSD.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01CalorimeterSD.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01CalorimeterSD.hh,v 1.2 2006/06/29 17:42:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01DecayPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01DecayPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01DecayPhysics.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01DecayPhysics.hh,v 1.2 2006/06/29 17:42:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01DetectorConstruction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01DetectorConstruction.hh,v 1.2 2006/06/29 17:42:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01DetectorParameterDef.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01DetectorParameterDef.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01DetectorParameterDef.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01DetectorParameterDef.hh,v 1.2 2006/06/29 17:42:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01DummySD.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01DummySD.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01DummySD.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01DummySD.hh,v 1.2 2006/06/29 17:42:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01EventAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01EventAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01EventAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01EventAction.hh,v 1.2 2006/06/29 17:42:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01Field.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01Field.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01Field.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01Field.hh,v 1.2 2006/06/29 17:42:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01HadronPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01HadronPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01HadronPhysics.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01HadronPhysics.hh,v 1.2 2006/06/29 17:42:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01IonPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01IonPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01IonPhysics.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01IonPhysics.hh,v 1.2 2006/06/29 17:42:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01LeptonPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01LeptonPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01LeptonPhysics.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01LeptonPhysics.hh,v 1.2 2006/06/29 17:42:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01PhysicsList.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01PhysicsList.hh,v 1.2 2006/06/29 17:43:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01PrimaryGeneratorAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01PrimaryGeneratorAction.hh,v 1.2 2006/06/29 17:43:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01PrimaryGeneratorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01PrimaryGeneratorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01PrimaryGeneratorMessenger.hh,v 1.2 2006/06/29 17:43:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01RegionInformation.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01RegionInformation.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01RegionInformation.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01RegionInformation.hh,v 1.2 2006/06/29 17:43:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01RunAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01RunAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01RunAction.hh,v 1.2 2006/06/29 17:43:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01StackingAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01StackingAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01StackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01StackingAction.hh,v 1.2 2006/06/29 17:43:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01SteppingAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01SteppingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01SteppingAction.hh,v 1.2 2006/06/29 17:43:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01TrackInformation.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01TrackInformation.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01TrackInformation.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01TrackInformation.hh,v 1.2 2006/06/29 17:43:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerHit.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerHit.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerHit.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackerHit.hh,v 1.3 2006/06/29 17:43:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerParametrisation.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerParametrisation.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerParametrisation.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackerParametrisation.hh,v 1.2 2006/06/29 17:43:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerSD.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerSD.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01TrackerSD.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackerSD.hh,v 1.2 2006/06/29 17:43:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01TrackingAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01TrackingAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01TrackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackingAction.hh,v 1.2 2006/06/29 17:43:28 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/include/RE01Trajectory.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/include/RE01Trajectory.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/include/RE01Trajectory.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: RE01Trajectory.hh,v 1.3 2006/06/29 17:43:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: RE01Trajectory.hh,v 1.4 2010/06/06 05:15:41 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -81,5 +81,5 @@
 
    virtual void ShowTrajectory(std::ostream& os=G4cout) const;
-   virtual void DrawTrajectory(G4int i_mode=0) const;
+   virtual void DrawTrajectory() const;
    virtual const std::map<G4String,G4AttDef>* GetAttDefs() const;
    virtual std::vector<G4AttValue>* CreateAttValues() const;
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01BosonPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01BosonPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01BosonPhysics.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01BosonPhysics.cc,v 1.2 2006/06/29 17:43:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterHit.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterHit.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterHit.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01CalorimeterHit.cc,v 1.5 2006/11/14 07:07:38 perl Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterParametrisation.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterParametrisation.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterParametrisation.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01CalorimeterParametrisation.cc,v 1.2 2006/06/29 17:43:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterROGeometry.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterROGeometry.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterROGeometry.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01CalorimeterROGeometry.cc,v 1.2 2006/06/29 17:43:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterSD.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterSD.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01CalorimeterSD.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01CalorimeterSD.cc,v 1.3 2006/11/18 02:42:27 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01DecayPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01DecayPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01DecayPhysics.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01DecayPhysics.cc,v 1.2 2006/06/29 17:43:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01DetectorConstruction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01DetectorConstruction.cc,v 1.3 2006/06/29 17:43:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01DetectorParameterDef.icc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01DetectorParameterDef.icc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01DetectorParameterDef.icc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01DetectorParameterDef.icc,v 1.2 2006/06/29 17:43:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01DummySD.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01DummySD.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01DummySD.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01DummySD.cc,v 1.2 2006/06/29 17:43:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01EventAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01EventAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01EventAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01EventAction.cc,v 1.2 2006/06/29 17:43:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01Field.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01Field.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01Field.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01Field.cc,v 1.3 2006/06/29 17:43:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01HadronPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01HadronPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01HadronPhysics.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: RE01HadronPhysics.cc,v 1.2 2006/06/29 17:44:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: RE01HadronPhysics.cc,v 1.3 2010/04/07 01:27:53 asaim Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -37,5 +37,5 @@
 #include "G4ParticleTable.hh"
 #include "G4ProcessManager.hh"
-#include "G4MultipleScattering.hh"
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
 #include "G4HadronElasticProcess.hh"
@@ -205,5 +205,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
  
@@ -234,5 +234,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -266,5 +266,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -289,5 +289,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -350,5 +350,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -380,5 +380,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -516,5 +516,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -540,5 +540,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -566,5 +566,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -589,5 +589,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -615,5 +615,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -638,5 +638,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -701,5 +701,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -725,5 +725,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01IonPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01IonPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01IonPhysics.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: RE01IonPhysics.cc,v 1.2 2006/06/29 17:44:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: RE01IonPhysics.cc,v 1.3 2010/04/07 01:27:53 asaim Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -36,5 +36,5 @@
 
 // processes
-#include "G4MultipleScattering.hh"
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
 #include "G4ionIonisation.hh"
@@ -88,5 +88,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -109,5 +109,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -130,5 +130,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
@@ -147,5 +147,5 @@
 
   // EM processes
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
   
@@ -168,5 +168,5 @@
 
   // Only EM processes for generic ion
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4ionIonisation(),      -1, 2, 2);
  
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01LeptonPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01LeptonPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01LeptonPhysics.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: RE01LeptonPhysics.cc,v 1.2 2006/06/29 17:44:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: RE01LeptonPhysics.cc,v 1.3 2010/04/07 01:27:53 asaim Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -33,11 +33,13 @@
 #include "G4ParticleTable.hh"
 #include "G4ProcessManager.hh"
-#include "G4MultipleScattering.hh"
+#include "G4eMultipleScattering.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
 #include "G4eplusAnnihilation.hh"
+#include "G4MuMultipleScattering.hh"
 #include "G4MuIonisation.hh"
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
 
@@ -90,5 +92,5 @@
 
   pManager = G4Electron::Electron()->GetProcessManager();
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4eMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4eIonisation(),        -1, 2, 2);
   pManager->AddProcess(new G4eBremsstrahlung(),    -1, 3, 3);  
@@ -97,5 +99,5 @@
 
   pManager = G4Positron::Positron()->GetProcessManager(); 
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4eMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4eIonisation(),        -1, 2, 2);
   pManager->AddProcess(new G4eBremsstrahlung(),    -1, 3, 3);  
@@ -105,5 +107,5 @@
 
   pManager = G4MuonMinus::MuonMinus()->GetProcessManager(); 
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4MuMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4MuIonisation(),       -1, 2, 2);
   pManager->AddProcess(new G4MuBremsstrahlung(),   -1, 3, 3);  
@@ -113,5 +115,5 @@
 
   pManager = G4MuonPlus::MuonPlus()->GetProcessManager(); 
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4MuMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4MuIonisation(),       -1, 2, 2);
   pManager->AddProcess(new G4MuBremsstrahlung(),   -1, 3, 3);  
@@ -121,5 +123,5 @@
 
   pManager = G4TauMinus::TauMinus()->GetProcessManager();
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
  
@@ -127,5 +129,5 @@
   
   pManager = G4TauPlus::TauPlus()->GetProcessManager();
-  pManager->AddProcess(new G4MultipleScattering(), -1, 1, 1);
+  pManager->AddProcess(new G4hMultipleScattering(), -1, 1, 1);
   pManager->AddProcess(new G4hIonisation(),        -1, 2, 2);
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01PhysicsList.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01PhysicsList.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01PhysicsList.cc,v 1.2 2006/06/29 17:44:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01PrimaryGeneratorAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01PrimaryGeneratorAction.cc,v 1.2 2006/06/29 17:44:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01PrimaryGeneratorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01PrimaryGeneratorMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01PrimaryGeneratorMessenger.cc,v 1.2 2006/06/29 17:44:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01RegionInformation.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01RegionInformation.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01RegionInformation.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01RegionInformation.cc,v 1.2 2006/06/29 17:44:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01RunAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01RunAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01RunAction.cc,v 1.2 2006/06/29 17:44:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01StackingAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01StackingAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01StackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01StackingAction.cc,v 1.2 2006/06/29 17:44:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01SteppingAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01SteppingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01SteppingAction.cc,v 1.2 2006/06/29 17:44:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01TrackInformation.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01TrackInformation.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01TrackInformation.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE01TrackInformation.cc,v 1.2 2006/06/29 17:44:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerHit.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerHit.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerHit.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackerHit.cc,v 1.5 2006/11/14 07:07:38 perl Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerParametrisation.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerParametrisation.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerParametrisation.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackerParametrisation.cc,v 1.2 2006/06/29 17:44:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerSD.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerSD.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01TrackerSD.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackerSD.cc,v 1.2 2006/06/29 17:44:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01TrackingAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01TrackingAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01TrackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RE01TrackingAction.cc,v 1.2 2006/06/29 17:44:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE01/src/RE01Trajectory.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE01/src/RE01Trajectory.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE01/src/RE01Trajectory.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: RE01Trajectory.cc,v 1.3 2006/06/29 17:44:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: RE01Trajectory.cc,v 1.4 2010/06/06 05:15:41 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -155,5 +155,5 @@
 }
 
-void RE01Trajectory::DrawTrajectory(G4int) const
+void RE01Trajectory::DrawTrajectory() const
 {
 
Index: trunk/examples/extended/runAndEvent/RE02/GNUmakefile
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/GNUmakefile	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2005/11/24 01:44:18 asaim Exp $
+# $Id: GNUmakefile,v 1.2 2010/01/11 17:07:33 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -9,5 +9,5 @@
 
 ifndef G4INSTALL
-  G4INSTALL = ../../..
+  G4INSTALL = ../../../..
 endif
 
Index: trunk/examples/extended/runAndEvent/RE02/History
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/History	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.4 2007/05/18 18:16:28 asaim Exp $
+$Id: History,v 1.6 2010/06/06 05:16:16 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,18 +15,24 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+June 4th, 2010  Joseph Perl (exampleRE02-V09-03-01)
+- Updated vis usage.
  
-May 18, 07 M.Asai (exampleRE02-V08-03-00)
+Apr 06, 2010 M.Asai (exampleRE02-V09-03-00)
+- Replace G4MultipleScattering with G4eMultipleScattering, G4MuMultipleScattering and G4hMultipleScattring.
+
+May 18, 2007 M.Asai (exampleRE02-V08-03-00)
 - Fix the indexing scheme of GetIndex() method in the scorers.
 
-Jan. 29, 07 M.Asai (exampleRE02-V08-02-00)
+Jan. 29, 2007 M.Asai (exampleRE02-V08-02-00)
 - Fix missing null pointer protection in ComputeMaterial() method.
 
-Nov. 17, 06 T.Aso (exampleRE02-V08-01-00)
+Nov. 17, 2006 T.Aso (exampleRE02-V08-01-00)
 - Reimplement the geometry with G4VNestedParameterization.
 - Modify the scorers according to the nested para,eterisation.
     
-Nov. 23, 05 M.Asai (exampleRE02-V07-01-00)
+Nov. 23, 2005 M.Asai (exampleRE02-V07-01-00)
 - Tagged.
 
-Nov. 18, 05 T.Aso, A.Kimura
+Nov. 18, 2005 T.Aso, A.Kimura
 - Created.
Index: trunk/examples/extended/runAndEvent/RE02/exampleRE02.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/exampleRE02.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/exampleRE02.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: exampleRE02.cc,v 1.3 2006/11/18 01:37:22 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02DetectorConstruction.hh,v 1.3 2006/11/18 01:37:23 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02EMPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02EMPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02EMPhysics.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02EMPhysics.hh,v 1.2 2006/06/29 17:44:43 gunter Exp $
+// $Id: RE02EMPhysics.hh,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 //
@@ -41,5 +41,5 @@
 #include "G4ComptonScattering.hh"
 #include "G4GammaConversion.hh"
-#include "G4MultipleScattering.hh"
+#include "G4eMultipleScattering.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02EventAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02EventAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02EventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02EventAction.hh,v 1.3 2006/11/18 01:37:23 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02HadronPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02HadronPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02HadronPhysics.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02HadronPhysics.hh,v 1.2 2006/06/29 17:44:50 gunter Exp $
+// $Id: RE02HadronPhysics.hh,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 //
@@ -36,5 +36,5 @@
 
 #include "G4VPhysicsConstructor.hh"
-#include "G4MultipleScattering.hh"
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02IonPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02IonPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02IonPhysics.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02IonPhysics.hh,v 1.2 2006/06/29 17:44:52 gunter Exp $
+// $Id: RE02IonPhysics.hh,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 // 05-Jan-2004 Add G4ionIonisation T. Koi
@@ -55,5 +55,5 @@
 #include "G4hIonisation.hh"
 #include "G4ionIonisation.hh"
-#include "G4MultipleScattering.hh"
+#include "G4hMultipleScattering.hh"
 
 class RE02IonPhysics : public G4VPhysicsConstructor
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02MuonPhysics.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02MuonPhysics.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02MuonPhysics.hh	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02MuonPhysics.hh,v 1.2 2006/06/29 17:44:55 gunter Exp $
+// $Id: RE02MuonPhysics.hh,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 //
@@ -37,5 +37,6 @@
 
 #include "G4VPhysicsConstructor.hh"
-#include "G4MultipleScattering.hh"
+#include "G4MuMultipleScattering.hh"
+#include "G4hMultipleScattering.hh"
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02NestedPhantomParameterisation.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02NestedPhantomParameterisation.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02NestedPhantomParameterisation.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02NestedPhantomParameterisation.hh,v 1.2 2006/12/13 15:42:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // class G4VNestedParameterisation
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02PSCellFlux.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02PSCellFlux.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02PSCellFlux.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSCellFlux.hh,v 1.2 2006/12/13 15:42:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02PSEnergyDeposit.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02PSEnergyDeposit.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02PSEnergyDeposit.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSEnergyDeposit.hh,v 1.2 2006/12/13 15:42:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02PSFlatSurfaceCurrent.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02PSFlatSurfaceCurrent.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02PSFlatSurfaceCurrent.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSFlatSurfaceCurrent.hh,v 1.2 2006/12/13 15:42:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02PSFlatSurfaceFlux.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02PSFlatSurfaceFlux.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02PSFlatSurfaceFlux.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSFlatSurfaceFlux.hh,v 1.2 2006/12/13 15:42:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02PSNofStep.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02PSNofStep.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02PSNofStep.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSNofStep.hh,v 1.2 2006/12/13 15:42:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02PSPassageCellFlux.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02PSPassageCellFlux.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02PSPassageCellFlux.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSPassageCellFlux.hh,v 1.2 2006/12/13 15:43:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PrimaryGeneratorAction.hh,v 1.3 2006/11/18 01:37:23 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02Run.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02Run.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02Run.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02Run.hh,v 1.3 2006/11/18 01:37:23 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //---------------------------------------------------------------------
Index: trunk/examples/extended/runAndEvent/RE02/include/RE02RunAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/include/RE02RunAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/include/RE02RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02RunAction.hh,v 1.3 2006/11/18 01:37:23 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 
Index: trunk/examples/extended/runAndEvent/RE02/run.mac
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/run.mac	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/run.mac	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: run.mac,v 1.1 2006/11/18 01:37:23 asaim Exp $
+# $Id: run.mac,v 1.2 2010/06/06 05:16:16 perl Exp $
 #
 # Macro file for "exampleRE02.cc"
@@ -16,5 +16,5 @@
 # Create a scene handler for a specific graphics system
 # (Edit the next line(s) to choose another graphic system)
-#/vis/open OGLIX
+#/vis/open OGL
 #/vis/open DAWNFILE
 #/vis/open VRML2FILE
Index: trunk/examples/extended/runAndEvent/RE02/run1.mac
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/run1.mac	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/run1.mac	(revision 1337)
@@ -16,5 +16,5 @@
 #
 #/vis/open VRML2FILE
-#/vis/open OGLIX
+#/vis/open OGL
 #/vis/open DAWNFILE
 #
Index: trunk/examples/extended/runAndEvent/RE02/run2.mac
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/run2.mac	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/run2.mac	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: run2.mac,v 1.2 2006/11/18 01:37:23 asaim Exp $
+# $Id: run2.mac,v 1.3 2010/06/06 05:16:16 perl Exp $
 #
 # Macro file for "exampleRE02.cc"
@@ -16,5 +16,5 @@
 # Create a scene handler for a specific graphics system
 # (Edit the next line(s) to choose another graphic system)
-#/vis/open OGLIX
+#/vis/open OGL
 #/vis/open DAWNFILE
 #/vis/open VRML2FILE
Index: trunk/examples/extended/runAndEvent/RE02/run3.mac
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/run3.mac	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/run3.mac	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: run3.mac,v 1.2 2006/11/18 01:37:23 asaim Exp $
+# $Id: run3.mac,v 1.3 2010/06/06 05:16:16 perl Exp $
 #
 # Macro file for "exampleRE02.cc"
@@ -16,5 +16,5 @@
 # Create a scene handler for a specific graphics system
 # (Edit the next line(s) to choose another graphic system)
-#/vis/open OGLIX
+#/vis/open OGL
 #/vis/open DAWNFILE
 #/vis/open VRML2FILE
Index: trunk/examples/extended/runAndEvent/RE02/run4.mac
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/run4.mac	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/run4.mac	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: run4.mac,v 1.2 2006/11/18 01:37:23 asaim Exp $
+# $Id: run4.mac,v 1.3 2010/06/06 05:16:16 perl Exp $
 #
 # Macro file for "exampleRE02.cc"
@@ -16,5 +16,5 @@
 # Create a scene handler for a specific graphics system
 # (Edit the next line(s) to choose another graphic system)
-#/vis/open OGLIX
+#/vis/open OGL
 #/vis/open DAWNFILE
 #/vis/open VRML2FILE
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02DetectorConstruction.cc,v 1.3 2006/11/18 01:37:23 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02EMPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02EMPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02EMPhysics.cc	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02EMPhysics.cc,v 1.2 2006/06/29 17:45:12 gunter Exp $
+// $Id: RE02EMPhysics.cc,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 //
@@ -73,5 +73,5 @@
    //Electorn
    pManager = G4Electron::Electron()->GetProcessManager();
-   G4VProcess* theeminusMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theeminusMultipleScattering = new G4eMultipleScattering();
    G4VProcess* theeminusIonisation         = new G4eIonisation();
    G4VProcess* theeminusBremsstrahlung     = new G4eBremsstrahlung();
@@ -94,5 +94,5 @@
    //Positron
    pManager = G4Positron::Positron()->GetProcessManager();
-   G4VProcess* theeplusMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theeplusMultipleScattering = new G4eMultipleScattering();
    G4VProcess* theeplusIonisation         = new G4eIonisation();
    G4VProcess* theeplusBremsstrahlung     = new G4eBremsstrahlung();
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02EventAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02EventAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02EventAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02EventAction.cc,v 1.3 2006/11/18 01:37:24 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02HadronPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02HadronPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02HadronPhysics.cc	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02HadronPhysics.cc,v 1.2 2006/06/29 17:45:18 gunter Exp $
+// $Id: RE02HadronPhysics.cc,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 //
@@ -78,5 +78,5 @@
    pManager->AddDiscreteProcess(thePionPlusInelasticProcess);
 
-   G4VProcess* theppMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theppMultipleScattering = new G4hMultipleScattering();
    G4VProcess* theppIonisation        = new G4hIonisation();
    // 
@@ -111,5 +111,5 @@
    pManager->AddDiscreteProcess(thePionMinusInelasticProcess);
 
-   G4VProcess* thepmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thepmMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thepmIonisation        = new G4hIonisation();
    // 
@@ -145,5 +145,5 @@
    pManager->AddDiscreteProcess(theKaonPlusInelasticProcess);
 
-   G4VProcess* thekpMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thekpMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thekpIonisation        = new G4hIonisation();
    // 
@@ -180,5 +180,5 @@
    pManager->AddDiscreteProcess(theKaonMinusInelasticProcess);
 
-   G4VProcess* thekmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thekmMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thekmIonisation        = new G4hIonisation();
 
@@ -256,5 +256,5 @@
    pManager->AddDiscreteProcess(theProtonInelasticProcess);
 
-   G4VProcess* thepMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thepMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thepIonisation        = new G4hIonisation();
 
@@ -294,5 +294,5 @@
    pManager->AddRestProcess(theAntiProtonAnnihilation);
 
-   G4VProcess* theapMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theapMultipleScattering = new G4hMultipleScattering();
    G4VProcess* theapIonisation        = new G4hIonisation();
 
@@ -429,5 +429,5 @@
    pManager->AddDiscreteProcess(theSigmaPlusInelasticProcess);
 
-   G4VProcess* thespMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thespMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thespIonisation        = new G4hIonisation();
 
@@ -463,5 +463,5 @@
    pManager->AddDiscreteProcess(theAntiSigmaPlusInelasticProcess);
 
-   G4VProcess* theaspMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theaspMultipleScattering = new G4hMultipleScattering();
    G4VProcess* theaspIonisation        = new G4hIonisation();
 
@@ -497,5 +497,5 @@
    pManager->AddDiscreteProcess(theSigmaMinusInelasticProcess);
 
-   G4VProcess* thesmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thesmMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thesmIonisation        = new G4hIonisation();
 
@@ -531,5 +531,5 @@
    pManager->AddDiscreteProcess(theAntiSigmaMinusInelasticProcess);
 
-   G4VProcess* theasmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theasmMultipleScattering = new G4hMultipleScattering();
    G4VProcess* theasmIonisation        = new G4hIonisation();
 
@@ -605,5 +605,5 @@
    pManager->AddDiscreteProcess(theXiMinusInelasticProcess);
 
-   G4VProcess* thexmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thexmMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thexmIonisation        = new G4hIonisation();
 
@@ -639,5 +639,5 @@
    pManager->AddDiscreteProcess(theAntiXiMinusInelasticProcess);
 
-   G4VProcess* theaxmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theaxmMultipleScattering = new G4hMultipleScattering();
    G4VProcess* theaxmIonisation        = new G4hIonisation();
 
@@ -673,5 +673,5 @@
    pManager->AddDiscreteProcess(theOmegaMinusInelasticProcess);
 
-   G4VProcess* theomMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theomMultipleScattering = new G4hMultipleScattering();
    G4VProcess* theomIonisation        = new G4hIonisation();
 
@@ -707,5 +707,5 @@
    pManager->AddDiscreteProcess(theAntiOmegaMinusInelasticProcess);
 
-   G4VProcess* theaomMultipleScattering = new G4MultipleScattering();
+   G4VProcess* theaomMultipleScattering = new G4hMultipleScattering();
    G4VProcess* theaomIonisation        = new G4hIonisation();
 
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02IonPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02IonPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02IonPhysics.cc	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02IonPhysics.cc,v 1.2 2006/06/29 17:45:21 gunter Exp $
+// $Id: RE02IonPhysics.cc,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 //
@@ -64,5 +64,5 @@
 
    // add process
-   G4VProcess* thegionMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thegionMultipleScattering = new G4hMultipleScattering();
    //
    // G4hIonization may be not able to use for Geanric Ion in future 
@@ -112,5 +112,5 @@
    pManager->AddDiscreteProcess(theDeuteronInelasticProcess);
 
-   G4VProcess* thedueMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thedueMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thedueIonisation        = new G4hIonisation();
    //
@@ -144,5 +144,5 @@
    pManager->AddDiscreteProcess(theTritonInelasticProcess);
 
-   G4VProcess* thetriMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thetriMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thetriIonisation        = new G4hIonisation();
    //
@@ -176,5 +176,5 @@
    pManager->AddDiscreteProcess(theAlphaInelasticProcess);
 
-   G4VProcess* thealpMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thealpMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thealpIonisation        = new G4hIonisation();
    //
@@ -201,5 +201,5 @@
    pManager->AddDiscreteProcess(thehe3ElasticProcess);
 
-   G4VProcess* thehe3MultipleScattering = new G4MultipleScattering();
+   G4VProcess* thehe3MultipleScattering = new G4hMultipleScattering();
    G4VProcess* thehe3Ionisation        = new G4hIonisation();
    //
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02MuonPhysics.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02MuonPhysics.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02MuonPhysics.cc	(revision 1337)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// $Id: RE02MuonPhysics.cc,v 1.2 2006/06/29 17:45:23 gunter Exp $
+// $Id: RE02MuonPhysics.cc,v 1.3 2010/04/07 01:29:00 asaim Exp $
 // --------------------------------------------------------------
 //
@@ -62,5 +62,5 @@
    //Muon+
    pManager = G4MuonPlus::MuonPlus()->GetProcessManager();
-   G4VProcess* thempMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thempMultipleScattering = new G4MuMultipleScattering();
    G4VProcess* thempBremsstrahlung     = new G4MuBremsstrahlung();
    G4VProcess* thempPairProduction     = new G4MuPairProduction();
@@ -87,5 +87,5 @@
    //Muon-
    pManager = G4MuonMinus::MuonMinus()->GetProcessManager();
-   G4VProcess* themmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* themmMultipleScattering = new G4MuMultipleScattering();
    G4VProcess* themmBremsstrahlung     = new G4MuBremsstrahlung();
    G4VProcess* themmPairProduction     = new G4MuPairProduction();
@@ -111,5 +111,5 @@
    // Tau+ Physics
    pManager = G4TauPlus::TauPlus()->GetProcessManager();
-   G4VProcess* thetpMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thetpMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thetpIonisation        = new G4hIonisation();
    //
@@ -128,5 +128,5 @@
    // Tau- Physics
    pManager = G4TauMinus::TauMinus()->GetProcessManager();
-   G4VProcess* thetmMultipleScattering = new G4MultipleScattering();
+   G4VProcess* thetmMultipleScattering = new G4hMultipleScattering();
    G4VProcess* thetmIonisation        = new G4hIonisation();
    //
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02PSCellFlux.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02PSCellFlux.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02PSCellFlux.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSCellFlux.cc,v 1.3 2007/05/18 18:16:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // RE02PSCellFlux
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02PSEnergyDeposit.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02PSEnergyDeposit.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02PSEnergyDeposit.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSEnergyDeposit.cc,v 1.3 2007/05/18 18:16:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // RE02PSEnergyDeposit
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02PSFlatSurfaceCurrent.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02PSFlatSurfaceCurrent.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02PSFlatSurfaceCurrent.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSFlatSurfaceCurrent.cc,v 1.3 2007/05/18 18:16:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // RE02PSFlatSurfaceCurrent
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02PSFlatSurfaceFlux.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02PSFlatSurfaceFlux.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02PSFlatSurfaceFlux.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSFlatSurfaceFlux.cc,v 1.3 2007/05/18 18:16:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // RE02PSFlatSurfaceFlux
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02PSNofStep.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02PSNofStep.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02PSNofStep.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSNofStep.cc,v 1.3 2007/05/18 18:16:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // RE02PSNofStep
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02PSPassageCellFlux.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02PSPassageCellFlux.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02PSPassageCellFlux.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PSPassageCellFlux.cc,v 1.3 2007/05/18 18:16:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // RE02PSPassageCellFlux
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02PrimaryGeneratorAction.cc,v 1.3 2006/11/18 01:37:24 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02Run.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02Run.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02Run.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02Run.cc,v 1.3 2006/11/18 01:37:24 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE02/src/RE02RunAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/src/RE02RunAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/src/RE02RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE02RunAction.cc,v 1.3 2006/11/18 01:37:24 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 #include "RE02RunAction.hh"
Index: trunk/examples/extended/runAndEvent/RE02/vis.mac
===================================================================
--- trunk/examples/extended/runAndEvent/RE02/vis.mac	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE02/vis.mac	(revision 1337)
@@ -9,29 +9,72 @@
 #/tracking/verbose 2
 #
-# create empty scene
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-/vis/scene/create
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-# Create a scene handler for a specific graphics system
-# (Edit the next line(s) to choose another graphic system)
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
 #/vis/open VRML2FILE
-/vis/open OGLIX
-#/vis/open DAWNFILE
-#/vis/open DAWN
 #
-# draw scene
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
 #
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
-#/vis/viewer/set/viewpointThetaPhi -90 90 deg
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
+#
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
+/vis/scene/endOfEventAction accumulate
+#
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
 #/vis/viewer/flush
-#
-# for drawing the tracks
-# (if too many tracks cause core dump => storeTrajectory 0)
-/tracking/storeTrajectory 1
-/vis/scene/add/trajectories
-# (if you prefer refreshing each event, comment out next line)
-/vis/scene/endOfEventAction accumulate
 #
 /run/beamOn 100
Index: trunk/examples/extended/runAndEvent/RE03/History
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/History	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.1 2007/11/13 20:31:59 asaim Exp $
+$Id: History,v 1.3 2010/04/07 01:30:07 asaim Exp $
 -------------------------------------------------------------------
 
@@ -16,4 +16,10 @@
      ----------------------------------------------------------
  
+Apr. 06, 2010 M.Asai (exampleRE03-V09-03-00)
+- Replace G4MultipleScattering with G4eMultipleScattering, G4MuMultipleScattering and G4hMultipleScattring.
+
+Nov. 23, 08 M.Asai (exampleRE03-V09-01-00)
+- Add "run4.mac" with cylindrical scoring mesh.
+
 Nov. 14, 07 M.Asai (exampleRE03-V09-00-00)
 - Introducing this example.
Index: trunk/examples/extended/runAndEvent/RE03/RE03.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/RE03.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/RE03.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE03.cc,v 1.4 2007/11/17 01:26:01 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/runAndEvent/RE03/README
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/README	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/README	(revision 1337)
@@ -6,9 +6,19 @@
 
 ****************************************************************
-* IMPORTANT NOTICE for version 9.1                             *
-*  This UI-command base scoring is still in alpha release and  *
+* IMPORTANT NOTICE for version 9.2                             *
+*                                                              *
+*  This UI-command base scoring is still in beta release and   *
 * functionality offered is preliminary. We do not guarantee    *
 * the correctness of the code. Also, we may change any of the  *
 * commands / methods in the near future release.               *
+*  In particular for the cylindrical scoring mesh, we are      *
+* aware of rather frequent warning messages issued by the      *
+* G4Navigator for the zero-length steps. I believe the results *
+* is correct, but we appreciate the user's patient for this    *
+* messy warning messages. It is identified that if a track     *
+* enters at exactly the center of the top/bottom circlic face  *
+* exactly along the local z-axis of the scoring cylinder, this *
+* warning message is mostlikely issued.                        *
+*                                                              *
 ****************************************************************
 
@@ -37,9 +47,12 @@
 2. Macro files
 
- "run1.mac" through "run3.mac" macro files should be used 
+ "run1.mac" through "run4.mac" macro files should be used 
 independently. Each macro file create its own scoring parallel
-world(s). "vis.mac" and "drawSlics.mac" are used internally.
-Each macro should work for both interactively and batch, but
-interactive mode is advised for better visualization.
+world(s). "vis.mac", "drawSlices.mac" and "drawCylinderSlices.mac" 
+are used internally. Each macro should work for both interactively 
+and batch, but interactive mode is advised for better visualization.
+
+ IMPORTANT: DO NOT use more than one of these macro files in one
+execution of this example.
 
 3. RE03UserScoreWriter
Index: trunk/examples/extended/runAndEvent/RE03/include/RE03DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/include/RE03DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/include/RE03DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE03DetectorConstruction.hh,v 1.1 2007/11/13 19:55:43 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/runAndEvent/RE03/include/RE03PhysicsList.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/include/RE03PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/include/RE03PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE03PhysicsList.hh,v 1.1 2007/11/13 19:55:43 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/runAndEvent/RE03/include/RE03PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/include/RE03PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/include/RE03PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE03PrimaryGeneratorAction.hh,v 1.1 2007/11/13 19:55:43 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/runAndEvent/RE03/src/RE03DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/src/RE03DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/src/RE03DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE03DetectorConstruction.cc,v 1.1 2007/11/13 19:55:43 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/runAndEvent/RE03/src/RE03PhysicsList.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/src/RE03PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/src/RE03PhysicsList.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: RE03PhysicsList.cc,v 1.1 2007/11/13 19:55:43 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: RE03PhysicsList.cc,v 1.2 2010/04/07 01:30:07 asaim Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -121,14 +121,15 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
-
+#include "G4eMultipleScattering.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
 #include "G4eplusAnnihilation.hh"
 
+#include "G4MuMultipleScattering.hh"
 #include "G4MuIonisation.hh"
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
 
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
 
@@ -149,5 +150,5 @@
     } else if (particleName == "e-") {
       //electron
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4eMultipleScattering,-1, 1,1);
       pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
       pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);      
@@ -155,5 +156,5 @@
     } else if (particleName == "e+") {
       //positron
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4eMultipleScattering,-1, 1,1);
       pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
       pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);
@@ -163,5 +164,5 @@
                particleName == "mu-"    ) {
       //muon  
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4MuMultipleScattering,-1, 1,1);
       pmanager->AddProcess(new G4MuIonisation,      -1, 2,2);
       pmanager->AddProcess(new G4MuBremsstrahlung,  -1, 3,3);
@@ -172,5 +173,5 @@
 	       (particle->GetParticleName() != "chargedgeantino")) {
       //all others charged particles except geantino
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4hMultipleScattering,-1, 1,1);
       pmanager->AddProcess(new G4hIonisation,       -1, 2,2); 
     }
Index: trunk/examples/extended/runAndEvent/RE03/src/RE03PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/runAndEvent/RE03/src/RE03PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/runAndEvent/RE03/src/RE03PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: RE03PrimaryGeneratorAction.cc,v 1.1 2007/11/13 19:55:43 asaim Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
